/**
 * @description input origin image source, write origin and compress to local
 * @param source string | Unit8Array | Buffer | Blob
 * @param size { {width, height, type?,} }
 * @param compressOptions { {limitSize: number, maxWidth: number, maxHeight: number}  }
 */
export function createImageCache(file: any, size: {
    width;
    height;
    type?;
}, compressOptions?: {
    limitSize: number;
    maxWidth: number;
    maxHeight: number;
}, bizType?: CropImgBizType): Promise<{
    size: {
        width: any;
        height: any;
        type?: any;
    };
    ext: string;
    contentHash: string;
    fileSize: any;
    originPath?: undefined;
    compressPath?: undefined;
} | {
    originPath: any;
    compressPath: any;
    size: {
        width: any;
        height: any;
        type?: any;
    };
    ext: any;
    contentHash: string;
    fileSize: any;
} | undefined>;
export function createFileCache(file: any, prefix?: string): Promise<false | {
    localPath: any;
    text: string;
    name: string;
    ext: string;
    size: any;
    isFile: boolean;
}>;
/**
 * @param source string | Unit8Array | Buffer | Blob
 * @param path sha1Text
 * @param size { {width, height, type,} }
 */
export function writeCompressCache(source: any, path: any, size: {
    width;
    height;
    type;
}, bizType?: CropImgBizType): Promise<string | false>;
/**
 * @param source string | Unit8Array | Buffer | Blob
 * @param path sha1Path
 * @param type string
 */
export function writeOriginCache(source: any, path: any, type: any): Promise<string | boolean>;
export function writeAvatarCache(source: any, fileType: any): Promise<string | false>;
export function checkCompressCache({ path, width, height, type, bizType, }: {
    path: any;
    width: any;
    height: any;
    type: any;
    bizType?: CropImgBizType | undefined;
}): Promise<boolean>;
export function checkOriginCache(path: any, type: any): Promise<boolean>;
export function saveFile(sourcePath: any, savePath: any): Promise<false | undefined>;
export function createImageCompress({ source, path, width, height, type, bizType, }: {
    source: any;
    path: any;
    width: any;
    height: any;
    type: any;
    bizType?: CropImgBizType | undefined;
}): Promise<any>;
export function splitFstName(listMapOb: any, item: any, name?: string): void;
export function encryptSha1(binary: any): string;
export function createSha1Hash(source: any): Promise<string>;
export function createBucketHash(source: any, prefix: any): Promise<string>;
export function formatSource(source: any): Promise<false | Uint8Array | undefined>;
export const cacheRoot: string;
export function checkRootDir(): Promise<void>;
export function readFileAsUrl(file: any): Promise<any>;
export function createDir(fullPath: any): Promise<any>;
export function buildCompressImg(options: any, autoWriteLocal?: boolean): Promise<any>;
import { CropImgBizType } from "@newSdk/base/consts";
